Skip to content

Get a location with specified business Id

Request

Retrieve a single location by its business id.

Security
clientCredentials
Path
business_idstring^[a-zA-Z0-9.~\-_]{1,512}$required

The business identifier of an entity instance

Headers
X-Conundra-Unwrapstring

When set to true, the response will not be wrapped in a data property.

curl -i -X GET \
  'https://developer.conundra.eu/_mock/apis/order-book/order-book-api/locations/{business_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'X-Conundra-Unwrap: string'

Responses

OK

Headers
ETagstring

weak Etag (ex W/<etag_value>) which contains the (updated) version of the entity

Bodyapplication/json
dataobject(Location)

A location has an address and timewindows representing opening hours.

An alternative address and/or timewindows to be used for planning can be specified. When planning address and/or timewindows are specified the originals are only there for information purposes.

An address item can consist of an address and/or geo coordinates. The resolved version will be resolved based on the geo coordinates or the address (not both). The resolved version will be available when reading to make out what the original geo coordinates in the routing service are.

Response
{ "data": { "business_id": "locationA", "location_category": "locationCategoryA", "name": "locationName", "description": "locationDescription", "comment": "locationComment", "address": {}, "planning_address": {}, "stop_time": "PT5M", "requirements": {}, "time_window": {}, "planning_time_window": {}, "custom_data": {}, "ignore_consecutive_restrictions": true, "labels": [], "etag": "W/\"1\"" } }